# Prefix/VLAN Roles

A role indicates the function of a prefix or VLAN. For example, you might define Data, Voice, and Security roles. Generally, a prefix will be assigned the same functional role as the VLAN to which it is assigned (if any).

## Fields

### Name

A unique human-friendly name.

### Slug

A unique URL-friendly identifier. (This value can be used for filtering.)

### Weight

A numeric weight employed to influence the ordering of roles. Roles with a lower weight will be listed before those with higher weights.
